[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNode.Balance

Balance of the current node

## Declaration

Source position: avl_tree.pp line 46

`public TAVLTreeNode.Balance : Integer;`

## Description

Balance is the balance of the current node, that is, the Depth of the right subtree minus the depth of the left subtree. If balance is one of -1, 0, 1 then the node is considered balanced.

## See also

TreeDepth |  | Level of the node in the tree below